*** a/doc/src/sgml/config.sgml
--- b/doc/src/sgml/config.sgml
***************
*** 5969,5975 **** LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         <para>
          Controls which message levels are written to the server log
          for system modules needed for recovery processing. This allows
!         the user to override the normal setting of log_min_messages,
          but only for specific messages. This is intended for use in
          debugging Hot Standby.
          Valid values are <literal>DEBUG5</>, <literal>DEBUG4</>,
--- 5969,5975 ----
         <para>
          Controls which message levels are written to the server log
          for system modules needed for recovery processing. This allows
!         the user to override the normal setting of <literal>log_min_messages</>,
          but only for specific messages. This is intended for use in
          debugging Hot Standby.
          Valid values are <literal>DEBUG5</>, <literal>DEBUG4</>,
***************
*** 5978,5987 **** LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
          <literal>ERROR</>, <literal>LOG</>, <literal>FATAL</>, and
          <literal>PANIC</>.  Each level includes all the levels that
          follow it.  The later the level, the fewer messages are sent
!         to the log.  The default is <literal>WARNING</>.  Note that
          <literal>LOG</> has a different rank here than in
          <varname>client_min_messages</>.
!         Parameter should be set in the postgresql.conf only.
         </para>
        </listitem>
       </varlistentry>
--- 5978,5988 ----
          <literal>ERROR</>, <literal>LOG</>, <literal>FATAL</>, and
          <literal>PANIC</>.  Each level includes all the levels that
          follow it.  The later the level, the fewer messages are sent
!         to the log.  The default is <literal>DEBUG1</>.  Note that
          <literal>LOG</> has a different rank here than in
          <varname>client_min_messages</>.
!         This parameter can only be set in the <filename>postgresql.conf</>
!         file or on the server command line.
         </para>
        </listitem>
       </varlistentry>
*** a/src/backend/utils/misc/guc.c
--- b/src/backend/utils/misc/guc.c
***************
*** 375,381 **** int			log_min_messages = WARNING;
  int			client_min_messages = NOTICE;
  int			log_min_duration_statement = -1;
  int			log_temp_files = -1;
! int			trace_recovery_messages = LOG;
  
  int			num_temp_buffers = 1000;
  
--- 375,381 ----
  int			client_min_messages = NOTICE;
  int			log_min_duration_statement = -1;
  int			log_temp_files = -1;
! int			trace_recovery_messages = DEBUG1;
  
  int			num_temp_buffers = 1000;
  
***************
*** 2825,2831 **** static struct config_enum ConfigureNamesEnum[] =
  	},
  
  	{
! 		{"trace_recovery_messages", PGC_SUSET, LOGGING_WHEN,
  			gettext_noop("Sets the message levels that are logged during recovery."),
  			gettext_noop("Each level includes all the levels that follow it. The later"
  						 " the level, the fewer messages are sent.")
--- 2825,2831 ----
  	},
  
  	{
! 		{"trace_recovery_messages", PGC_SIGHUP, DEVELOPER_OPTIONS,
  			gettext_noop("Sets the message levels that are logged during recovery."),
  			gettext_noop("Each level includes all the levels that follow it. The later"
  						 " the level, the fewer messages are sent.")
